siream Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
siream Module Reference
Collaboration diagram for siream:

## Public Member Functions
subroutine | init_aerosols

## Data Fields
integer, save | iaerosol
| Flag to activate or not siream model. More...
integer, save | inogaseouschemistry
| Flag to desactivate gaseous chemistry which is automatically activated otherwise. More...
integer | nesp_aer
integer, save | nespg_siream
| Number of gaseous species passed to SIREAM. More...
integer | nbin_aer
| Number of aerosol bins (can vary depending on the user) More...
integer | ncycle_aer
| Number of cycle in aerosol computation between ts and tf. More...
integer | noptions_aer
| Number of aerosol module options. More...
integer, dimension(noptions_aer), save | options_aer
| 1D list of aerosol module options More...
character *10, dimension(nesp_aer) | esp_siream
| Names of particular species in SIREAM. More...
integer, save | impmea
| logical unit of the aerosol concentration profiles file More...
character *10, save | ficmea
| name of the aerosol concentration profiles file More...
double precision, dimension(nbin_aer+1), save | bin_bound_aer
| Aerosol diameters at bin bounds. More...
double precision, save | fixed_density_aer
| Fixed aerosol density ([g/m^3]) More...
double precision, dimension(nbin_aer), save | density_aer
| Size variable aerosol density ([g/m^3]) More...
integer, dimension(nbin_aer), save | couples_coag
| Coagulation couples for each bin. More...
integer, dimension(nbin_aer, 4 *nbin_aer), save | first_index_coag
| First bin index of coagulation couples. More...
integer, dimension(nbin_aer, 4 *nbin_aer), save | second_index_coag
| Second bin index of coagulation couples. More...
double precision, dimension(nbin_aer, nbin_aer, nbin_aer), save | coefficient_coag
| Coagulation partition coefficient. More...
double precision, dimension(nesp_aer *nbin_aer+nbin_aer), save | dlconc0
| Initial gaseous and particulate concentrations and aerosol number read in file SIREAM. More...
integer, dimension(nozppm), save | iprofa
| read zone boundary conditions from file More...
integer, save | icoag_siream
| Flag to activate or not coagulation. More...
integer, save | icond_siream
| Flag to activate or not condensation/evaporation. More...
integer, save | inucl_siream
| Flag to activate or not nucleation. More...
integer, save | ikelv_siream
| Flag to consider or not kelvin effect. More...
integer, save | icut_siream
| Cutting bin between equilibrium and dynamic bins. More...
integer, save | isulfcond_siream
| Sulfate condensation computation method. More...
integer, save | kdslv_siream
| Solver for dynamic condensation. More...
integer, save | iredist_siream
| Redistribution method of lagrangian bins. More...
integer, save | itern_siream
| Nucleation model. More...
integer, save | ithrm_siream
| Method used for estimation of wet diameter. More...

## Member Function/Subroutine Documentation

subroutine init_aerosols | ( |  | ) |

The documentation for this module was generated from the following file:

- src/atmo/siream.f90